# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
from ucitests import styles

import lander
from testing import styles as testing_styles

HERE = os.path.abspath(os.path.dirname(__file__))


class TestPep8(styles.TestPep8):

    packages = [lander]


class TestPyflakes(styles.TestPyflakes):

    packages = [lander]


class TestPep8Bin(testing_styles.TestPep8):

    directory = os.path.join(HERE, '..', '..', 'bin')


class TestPyflakesBin(testing_styles.TestPyflakes):

    directory = os.path.join(HERE, '..', '..', 'bin')
