#!/usr/bin/env python
# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from setuptools import setup

tests_requires = [
    'fixtures',
    'oauthlib==0.6.1',
    'psycopg2==2.4.5',
    'pyramid==1.5.1',
    'testtools',
    'testscenarios'
]


setup(
    name='nfss',
    version='0.1',
    description='Non Functional Stats Service - RESTful API.',
    test_suite='nfss.tests',
    tests_require=tests_requires
)
