YUI().use('base', 'gallery-widget-io', 'json-parse', 'widget', function(Y) {

  var Login = Y.Base.create("login", Y.Widget, []);
  var login = new Login();
  login.plug(Y.Plugin.WidgetIO, {
      uri: '/api/v1/userinfo/',
      formatter: function (val) {
          var user_info = Y.JSON.parse(val);
          user_info.next = Y.config.win.location.pathname;
          if (!user_info.authenticated) {
              return Y.Lang.sub(
                  '<a href="/openid/login?next={next}">Login</a>',
                  user_info);
          }
          return Y.Lang.sub(
              '<p>{fullname} ({username}) ' +
              '<a href="/logout/?next={next}">Logout</a></p>',
              user_info);
      },
  });
  login.render('nav');
  login.io.refresh();

});
