//loosely based/inspired by:
// https://github.com/ukhas/js-logtail
YUI().use('io', 'querystring', 'webui', function (Y) {
  var position = 0;

  function poll() {
    Y.io(log_url, {
      headers: {Range: "bytes=" + position + "-", 'Content-Type': 'application/text',},
      on: {
        success: function(tx, r) {
          elem = Y.one("pre#log");
          elem.appendChild(document.createTextNode(r.responseText));
          window.scrollTo(0, document.body.scrollHeight);
          position += r.responseText.length;
          setTimeout(poll, 3000);
        },
        failure: function(tx, r, e) {
          if(r.status == 404 || r.status == 416) {
            //416 means we've hit the end of the file (at leat for now)
            setTimeout(poll, 5000);
          } else {
            console.log("failure: ", tx, r, e);
          }
        }
      }
    });
  }

  poll();
});
