from django.shortcuts import render_to_response


base_data = dict(active="tickets")


def index(request):
    return render_to_response('tickets/index.html', base_data)


def complete(request):
    return render_to_response('tickets/complete.html', base_data)


def failed(request):
    return render_to_response('tickets/failed.html', base_data)


def pending_qa(request):
    return render_to_response('tickets/pending_qa.html', base_data)


def detail(request, ticket_id):
    base_data['ticket_id'] = ticket_id
    return render_to_response('tickets/ticket.html', base_data)


def livelog(request, ticket_id):
    base_data['ticket_id'] = ticket_id
    base_data['lander_unit'] = request.GET['lander_unit']
    return render_to_response('tickets/logview.html', base_data)


def edit(request, ticket_id):
    base_data['ticket_id'] = ticket_id
    return render_to_response('tickets/edit.html', base_data)


def create(request):
    return render_to_response('tickets/create.html', base_data)
